export default function factory(sessionID: any, env?: string): Essentials;
export class Essentials {
    constructor(sessionID: any, env?: string);
    env: string;
    sessionID: any;
    isTunaReady(): () => any;
    ping(): string;
    getSessionID(): any;
    maskCreditCard(creditCardNumber: any): string;
    tokenizator(): Tokenizer;
    tokenizer: Tokenizer;
    tokenize(creditCardData: any, resultCallback: any): Promise<{
        success: boolean;
        tokenData: any;
        cardData: any;
        message?: undefined;
    } | {
        success: boolean;
        message: any;
        tokenData?: undefined;
        cardData?: undefined;
    }>;
    callPaymentEndpoint(body: any): Promise<any>;
    pay(paymentMethodType: any, totalPaymentAmount: any, paymentMethodAmount: any, preparedCardData: any): Promise<any>;
    doStatusLongPolling(callbackFunction: any, methodID: any, paymentKey: any): Promise<void>;
}
import Tokenizer from "./infra/tokenizer.js";
